summaryrefslogtreecommitdiffstats
path: root/network/opendchub
diff options
context:
space:
mode:
author Michael Kapelko2010-05-13 00:37:41 +0200
committer David Somero2010-05-13 00:37:41 +0200
commit97565c2af70a5acecf9f7d4248897f2a0ec1dd0a (patch)
tree724a5c4bb271bff47cea2bf5b997e53b2937a9a7 /network/opendchub
parent8e76bfd2c826db393f7523867938868cc004c93c (diff)
downloadslackbuilds-97565c2af70a5acecf9f7d4248897f2a0ec1dd0a.tar.gz
network/opendchub: Updated for version 0.7.15
Diffstat (limited to 'network/opendchub')
-rw-r--r--network/opendchub/opendchub.SlackBuild12
-rw-r--r--network/opendchub/opendchub.info4
-rw-r--r--network/opendchub/slack-desc2
3 files changed, 13 insertions, 5 deletions
diff --git a/network/opendchub/opendchub.SlackBuild b/network/opendchub/opendchub.SlackBuild
index f63ec1c877..ee3f018b8c 100644
--- a/network/opendchub/opendchub.SlackBuild
+++ b/network/opendchub/opendchub.SlackBuild
@@ -32,10 +32,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -57,6 +60,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
@@ -69,8 +73,10 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
@@ -82,5 +88,5 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/opendchub/opendchub.info b/network/opendchub/opendchub.info
index 38af3cf83c..d4c587daf5 100644
--- a/network/opendchub/opendchub.info
+++ b/network/opendchub/opendchub.info
@@ -2,7 +2,9 @@ PRGNAM="opendchub"
VERSION="0.7.15"
HOMEPAGE="http://sourceforge.net/projects/opendchub"
DOWNLOAD="http://downloads.sourceforge.net/opendchub/opendchub-0.7.15.tar.gz"
+DOWNLOAD_x86_64=""
MD5SUM="8f9ab5bb7f85730f4b1ce7cceb6aef96"
+MD5SUM_x86_64=""
MAINTAINER="Michael Kapelko"
EMAIL="kornerr @ Google mail"
-APPROVED="David Somero"
+APPROVED="dsomero"
diff --git a/network/opendchub/slack-desc b/network/opendchub/slack-desc
index 533496a229..a4df485a23 100644
--- a/network/opendchub/slack-desc
+++ b/network/opendchub/slack-desc
@@ -16,4 +16,4 @@ opendchub:
opendchub: Note that OpenDC Hub is quite old, you may want to have a look
opendchub: at DBHub which is the offspring of OpenDC Hub.
opendchub:
-opendchub: DBHub homepage: http://www.dbhub.org
+opendchub: Homepage: http://www.dbhub.org